Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDACTSNURSINGvalues

    java.lang.Object
      java.lang.Enum<CDACTSNURSINGvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDACTSNURSINGvalues

All Implemented Interfaces:
  Serializable, Comparable<CDACTSNURSINGvalues>

    public enum CDACTSNURSINGvalues

extends Enum<CDACTSNURSINGvalues>

Java class for CD-ACTS-NURSINGvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ACTS-NURSINGvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="NMF001"/>
         <enumeration value="NMF002"/>
         <enumeration value="NMF011"/>
         <enumeration value="NMF012"/>
         <enumeration value="NMF013"/>
         <enumeration value="NMF021"/>
         <enumeration value="NMF022"/>
         <enumeration value="NMF031"/>
         <enumeration value="NMF040"/>
         <enumeration value="NMF041"/>
         <enumeration value="NMF042"/>
         <enumeration value="NMF043"/>
         <enumeration value="NMF044"/>
         <enumeration value="NMF045"/>
         <enumeration value="NMF046"/>
         <enumeration value="NMF047"/>
         <enumeration value="NMF051"/>
         <enumeration value="NMF052"/>
         <enumeration value="NMF061"/>
         <enumeration value="NMF062"/>
         <enumeration value="NMF071"/>
         <enumeration value="NMF072"/>
         <enumeration value="NMF073"/>
         <enumeration value="NMF074"/>
         <enumeration value="NMF081"/>
         <enumeration value="NMF082"/>
         <enumeration value="NMF091"/>
         <enumeration value="NMF092"/>
         <enumeration value="NMF093"/>
         <enumeration value="NMF101"/>
         <enumeration value="NMF111"/>
         <enumeration value="NMF112"/>
         <enumeration value="NMF113"/>
         <enumeration value="NMF114"/>
         <enumeration value="NMF115"/>
         <enumeration value="NMF116"/>
         <enumeration value="NMF121"/>
         <enumeration value="NMF999"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`NMF_001`
`NMF_002`
`NMF_011`
`NMF_012`
`NMF_013`
`NMF_021`
`NMF_022`
`NMF_031`
`NMF_040`
`NMF_041`
`NMF_042`
`NMF_043`
`NMF_044`
`NMF_045`
`NMF_046`
`NMF_047`
`NMF_051`
`NMF_052`
`NMF_061`
`NMF_062`
`NMF_071`
`NMF_072`
`NMF_073`
`NMF_074`
`NMF_081`
`NMF_082`
`NMF_091`
`NMF_092`
`NMF_093`
`NMF_101`
`NMF_111`
`NMF_112`
`NMF_113`
`NMF_114`
`NMF_115`
`NMF_116`
`NMF_121`
`NMF_999`

Method Summary
`static CDACTSNURSINGvalues` | `fromValue(String v)`
`String` | `value()`
`static CDACTSNURSINGvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDACTSNURSINGvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NMF_001

    public static final CDACTSNURSINGvalues NMF_001

### NMF_002

    public static final CDACTSNURSINGvalues NMF_002

### NMF_011

    public static final CDACTSNURSINGvalues NMF_011

### NMF_012

    public static final CDACTSNURSINGvalues NMF_012

### NMF_013

    public static final CDACTSNURSINGvalues NMF_013

### NMF_021

    public static final CDACTSNURSINGvalues NMF_021

### NMF_022

    public static final CDACTSNURSINGvalues NMF_022

### NMF_031

    public static final CDACTSNURSINGvalues NMF_031

### NMF_040

    public static final CDACTSNURSINGvalues NMF_040

### NMF_041

    public static final CDACTSNURSINGvalues NMF_041

### NMF_042

    public static final CDACTSNURSINGvalues NMF_042

### NMF_043

    public static final CDACTSNURSINGvalues NMF_043

### NMF_044

    public static final CDACTSNURSINGvalues NMF_044

### NMF_045

    public static final CDACTSNURSINGvalues NMF_045

### NMF_046

    public static final CDACTSNURSINGvalues NMF_046

### NMF_047

    public static final CDACTSNURSINGvalues NMF_047

### NMF_051

    public static final CDACTSNURSINGvalues NMF_051

### NMF_052

    public static final CDACTSNURSINGvalues NMF_052

### NMF_061

    public static final CDACTSNURSINGvalues NMF_061

### NMF_062

    public static final CDACTSNURSINGvalues NMF_062

### NMF_071

    public static final CDACTSNURSINGvalues NMF_071

### NMF_072

    public static final CDACTSNURSINGvalues NMF_072

### NMF_073

    public static final CDACTSNURSINGvalues NMF_073

### NMF_074

    public static final CDACTSNURSINGvalues NMF_074

### NMF_081

    public static final CDACTSNURSINGvalues NMF_081

### NMF_082

    public static final CDACTSNURSINGvalues NMF_082

### NMF_091

    public static final CDACTSNURSINGvalues NMF_091

### NMF_092

    public static final CDACTSNURSINGvalues NMF_092

### NMF_093

    public static final CDACTSNURSINGvalues NMF_093

### NMF_101

    public static final CDACTSNURSINGvalues NMF_101

### NMF_111

    public static final CDACTSNURSINGvalues NMF_111

### NMF_112

    public static final CDACTSNURSINGvalues NMF_112

### NMF_113

    public static final CDACTSNURSINGvalues NMF_113

### NMF_114

    public static final CDACTSNURSINGvalues NMF_114

### NMF_115

    public static final CDACTSNURSINGvalues NMF_115

### NMF_116

    public static final CDACTSNURSINGvalues NMF_116

### NMF_121

    public static final CDACTSNURSINGvalues NMF_121

### NMF_999

    public static final CDACTSNURSINGvalues NMF_999

Method Detail

### values

    public static CDACTSNURSINGvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDACTSNURSINGvalues c : CDACTSNURSINGvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDACTSNURSINGvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDACTSNURSINGvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.